Bug 869699 - When a VM is created using the user-level API, no permissions are set on it thus, the user can't see it in the user portal and the user-level API
When a VM is created using the user-level API, no permissions are set on it t...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Oved Ourfali
Ondra Machacek
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 11:18 EDT by Ondra Machacek
Modified: 2012-12-04 15:13 EST (History)
10 users (show)

See Also:
Fixed In Version: si23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondra Machacek 2012-10-24 11:18:19 EDT
Description of problem:


Version-Release number of selected component (if applicable):
si21

How reproducible:
always

Steps to Reproduce:
1. As admin assign a user 'VmCreator' role.
2. via API create VM as user.
  
Actual results:
For newly created VM user is not UserVmManager.

Expected results:
User is UserVmManager on newly created VM.

Additional info:
Behaviour should be same as is in UserPortal. User is creating VM for himself so he should became also UserVmManager.
Comment 1 Oved Ourfali 2012-10-25 03:40:17 EDT
Commit: ab67c32601f477b099e7167d2554a908c1bebe5a

http://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=commit;h=ab67c32601f477b099e7167d2554a908c1bebe5a

Note You need to log in before you can comment on or make changes to this bug.